Subject: RE: Summary of Issues for draft-ietf-zeroconf-ipv4-linklocal-04.txt

From: "Dave Thaler" <[email-masked]>
Date: Fri, 16 Nov 2001 13:47:45 -0800

Daniel Senie writes:
> >Opinions voiced in support of removing mention of Microsoft in
> >Section 2.5:
[...]
> >Opinions voiced in support of retaining mention of Microsoft in
> >Section 2.5:
[...]
> >Other opinions voiced without making a strong statement either way on
> >the *specific* wording that should appear in the draft:
[...]
> I would prefer the SPECIFIC vendor not be listed. Mentioning that at
least
> one vendor has an incompatible implementation is appropriate, and that
it
> would be advisable for the near term (purposely vague as to timeframe)
> that
> enforcing the TTL=255 may not be worthwhile.
[...]
> So, count me as believing Microsoft NOT be mentioned, Registry details
NOT
> be mentioned, but generic information warning of the compatability
issue
> SHOULD be mentioned.

I agree with Daniel's statement.  I'd like to see the draft suggest
that implementations have a configuration switch to either
a) be "unsecure" and support backward interoperability, or
b) be "secure" and only accept TTL=255.
(using the word "secure" very loosely...)

-Dave